Loading...
Searching...
No Matches
pcl::DefaultFeatureRepresentation< PointDefault > Class Template Reference

DefaulFeatureRepresentation extends PointRepresentation and is intended to be used when defining the default behavior for feature descriptor types (i.e., copy each element of each field into a float array). More...

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultFeatureRepresentation< PointDefault >:

## Public Types

using | Ptr = shared_ptr< DefaultFeatureRepresentation< PointDefault > >
using | ConstPtr = shared_ptr< const DefaultFeatureRepresentation< PointDefault > >
using | FieldList = typename pcl::traits::fieldList< PointDefault >::type
Public Types inherited from pcl::PointRepresentation< PointDefault >
using | Ptr = shared_ptr< PointRepresentation< PointDefault > >
using | ConstPtr = shared_ptr< const PointRepresentation< PointDefault > >

## Public Member Functions

| DefaultFeatureRepresentation ()
Ptr | makeShared () const
void | copyToFloatArray (const PointDefault &p, float *out) const override
| Copy point data from input point to a float array.
Public Member Functions inherited from pcl::PointRepresentation< PointDefault >
virtual | ~PointRepresentation ()=default
| Empty destructor.
bool | isTrivial () const
| Returns whether this point representation is trivial.
virtual bool | isValid (const PointDefault &p) const
| Verify that the input point is valid.
void | vectorize (const PointDefault &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha.
void | vectorize (const PointDefault &p, float *out) const
void | vectorize (const PointDefault &p, std::vector< float > &out) const
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points.
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation.

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< PointDefault >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e.
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension.
bool | trivial_
| Indicates whether this point representation is trivial.

## Detailed Description

template<typename PointDefault>
class pcl::DefaultFeatureRepresentation< PointDefault >

DefaulFeatureRepresentation extends PointRepresentation and is intended to be used when defining the default behavior for feature descriptor types (i.e., copy each element of each field into a float array).

Definition at line 239 of file point_representation.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointDefault >

using pcl::DefaultFeatureRepresentation< PointDefault >::ConstPtr = shared_ptr<const DefaultFeatureRepresentation<PointDefault> >

Definition at line 312 of file point_representation.h.

## FieldList

template<typename PointDefault >

using pcl::DefaultFeatureRepresentation< PointDefault >::FieldList = typename pcl::traits::fieldList<PointDefault>::type

Definition at line 313 of file point_representation.h.

## Ptr

template<typename PointDefault >

using pcl::DefaultFeatureRepresentation< PointDefault >::Ptr = shared_ptr<DefaultFeatureRepresentation<PointDefault> >

Definition at line 311 of file point_representation.h.

## Constructor & Destructor Documentation

## DefaultFeatureRepresentation()

template<typename PointDefault >

pcl::DefaultFeatureRepresentation< PointDefault >::DefaultFeatureRepresentation | ( |  | ) |

inline

Definition at line 315 of file point_representation.h.

References pcl::PointRepresentation< PointDefault >::nr_dimensions_.

## Member Function Documentation

## copyToFloatArray()

template<typename PointDefault >

void pcl::DefaultFeatureRepresentation< PointDefault >::copyToFloatArray | ( | const PointDefault & | p,
|  | float * | out
| ) |  | const

inline override virtual

Copy point data from input point to a float array.

This method must be overridden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< PointDefault >.

Definition at line 328 of file point_representation.h.

## makeShared()

template<typename PointDefault >

Ptr pcl::DefaultFeatureRepresentation< PointDefault >::makeShared | ( |  | ) | const

inline

Definition at line 322 of file point_representation.h.

The documentation for this class was generated from the following file:

- pcl/point_representation.h